<?php
/* config.example.php - phpgitweb
 * Copyright (C) 2011-2012  Philipp Kreil (pk910)
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License 
 * along with this program. If not, see <http://www.gnu.org/licenses/>. 
 */

/* Global configuration */


/* GIT configuration */
class GitConfig {
	/* PHPGitWeb Title / Name */
	const GITWEB_TITLE = "PHPGitWeb";
	
	/* path to git projects (<project>.git) */
	const PROJECT_ROOT = "/srv/gitosis/repositories/";
	
	/* Point to projects.list file generated by gitosis. */
	//const PROJECT_LIST = NULL;
	const PROJECT_LIST = "/srv/gitosis/gitosis/projects.list";
	
	/* Only allow Projects from PROJECT_LIST being viewed */
	const STRICT_EXPORT = true;
	
	/* Only allow Projects with this file within their PROJECT_ROOT being viewed */
	//const EXPORT_FILE = "export-ok";
	const EXPORT_FILE = NULL;
	
	/* Override Project Owner to this one */
	const PROJECT_OWNER = NULL;
	
	/* Git Base URL (The URL where all the repositories can be cloned from.) */
	//static public $GIT_BASE_URL = NULL;
	static public $GIT_BASE_URL = array("git://git.example.net");
	
	/* Template name */
	const TEMPLATE_NAME = NULL;
	
	/* Git executable */
	const GIT_EXEC = NULL; /* autodetect */
	
	/* GIT Graphs */
	const GITGRAPH_ENABLE = true;
	const GITGRAPH_DATA_URL = true;
	const GITGRAPH_MAX_BRANCHES = 20;
	const GITGRAPH_END_SIZE = 20;
	const GITGRAPH_TILE_SIZE = 20;
	const GITGRAPH_BASE64 = true;
	
	/* rename detection options for git-diff and git-diff-tree
	* - default is '0', with the cost proportional to
	*   (number of removed files) * (number of new files).
	*   can detect renames of files
	* - more costly is '1' (which implies '0'), with the cost proportional to
	*   (number of changed files + number of removed files) * (number of new files)
	*   can detect renames and copies of changed files
	* - even more costly is '2' (which implies '0', '1'), with cost
	*   (number of files in the original tree) * (number of new files)
	*   can detect renames and copies of all files
	*
	* DETECT_REWRITES enables the additional detection for complete rewrites
	*/
	const DETECT_RENAME_LEVEL = 0;
	const DETECT_REWRITES = false;
	
}

?>